Bug 858154 - [RFE] Firstboot should provide an option to setup rhsm.conf for SAM
[RFE] Firstboot should provide an option to setup rhsm.conf for SAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Asset Manager (SAM) (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: FutureFeature
Depends On:
Blocks: rhsm-rhel72
  Show dependency treegraph
Reported: 2012-09-18 03:40 EDT by Hui Wang
Modified: 2016-07-29 08:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-07-29 08:50:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hui Wang 2012-09-18 03:40:21 EDT
Description of problem:

Firstly we must reset the rhsm.conf via installing http://[fqdn_sam]/pub/candlepin-cert-consumer-[fqdn_sam]-1.0-1.noarch.rpm, then we can register to SAM.

Pls provide an option to install the rpm in the firstboot to set the rhsm.conf if we choose "register to SAM" in firstboot.

Version-Release number of selected component (if applicable):


Actual results:

We can't set rhsm.conf when choosing "register to SAM" via firstboot.

Expected results:

Provide an option to set the rhsm.conf when choosing "register to SAM" via firstboot.

Additional info:
Comment 1 Adrian Likins 2014-02-06 10:37:52 EST
Not sure I understand the request.

If the package is installed with kickstart, the rhsm config should be pointing to the right place.

If the package isn't being installed via kickstart/anaconda, then I'm not sure.

Would the assumption be that the correct repos were setup in kickstart/anaconda?

Concerns are:
  1) installing rpms in the startup config (firstboot and/or the rhel7 stuff) is kind of unusual.

  2) how do we bootstrap enough info to install the package securely. We would need at least repo url, repo ssl/ca certs, GPG key.

What could we assume is installed on the system at this point?
  SAM repos configs?
  SAM repo ssl/ca certs?
  SAM repo entitlement certs?
  SAM repo gpg key?
Comment 4 Bryan Kearney 2014-07-30 15:20:27 EDT
Acking 7.1
Comment 7 William Poteat 2015-05-08 13:27:14 EDT
Not a base RHEL firstboot problem. We are not adding any new firstboot modules to our solution. We are moving to a new intial-setup module.

Deferring to Satellite product.

Note You need to log in before you can comment on or make changes to this bug.